public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test-unit/
Date: Sat,  5 Nov 2016 14:44:27 +0000 (UTC)	[thread overview]
Message-ID: <1478357056.38e70b61384580915d06934bf9f1cdab78a1cda3.mrueg@gentoo> (raw)

commit:     38e70b61384580915d06934bf9f1cdab78a1cda3
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  5 14:44:16 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Nov  5 14:44:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38e70b61

dev-ruby/test-unit: Version bump to 3.2.2

Package-Manager: portage-2.3.2

 dev-ruby/test-unit/Manifest               |  1 +
 dev-ruby/test-unit/test-unit-3.2.2.ebuild | 46 +++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-ruby/test-unit/Manifest b/dev-ruby/test-unit/Manifest
index 056aa0d..f7b26a1 100644
--- a/dev-ruby/test-unit/Manifest
+++ b/dev-ruby/test-unit/Manifest
@@ -6,3 +6,4 @@ DIST test-unit-3.1.8.gem 124416 SHA256 1bf50d79eee99c1aa7d8e199cb0d8e1a08d1a7769
 DIST test-unit-3.1.9.gem 124416 SHA256 3efe0e17e4bc9880ada13515198531f6101bf6d03c5e5556f53cc72b45c33aec SHA512 ec3068db7faceb5c6a3f3a848512aa76ec2e360a2a1ca7ec45fd6c1b84f45f04fb1b4d77120dfde7b0a41e4a8435fa37ba6550e4242e3817d344b3ca8d7b4428 WHIRLPOOL 715cd547da273b6384a5f6191d2d80c26a1044ff94639cd4bdfd9a80553e026522e495683323572be41081dbad1f35fcab20b6b4c98a9f65ac576c8682e088f7
 DIST test-unit-3.2.0.gem 124928 SHA256 a09a276e39622ed4991e392a514b35a7ba2d61bb384981a805fee65be9bb75a8 SHA512 a0d148ea2ec217afc57ee01116e73285b8c7403c0628d9bf4bddba59de2f254816cec2c5250c21548e143cb3cd63fc703735e0b6fbb7e3e321fe647dec7d16f7 WHIRLPOOL 04d07da9c62c695d56ce58453b283a0381f084d2ed6d7eb59e35d806d1f804e68e11db42660a7cb745c01ee41c8756c734ec781968130963a6265e0bfdb39d7c
 DIST test-unit-3.2.1.gem 124928 SHA256 50599b29ba3edf1aa924bca6341989fdd27e5c72d4d5bb66dfc65fc5f7cbcfb0 SHA512 226e3acd422d9849d9bf3ed39773776b9b067598db28f5f1f297462199e2f40d870bb2b40f944b59256bddfc8dedb0a8c859118dc04eb5e70fb7ec328243b498 WHIRLPOOL e42d4f47eb2541adb3f7a9f16c8b4fa303537501e8764d3d90e840730201e1f885de0a82510ffda20183024ee8af09e0d82c9554800be7918d3cf6d2ff850c89
+DIST test-unit-3.2.2.gem 125440 SHA256 1c86c35654d22f19c721f3ec68be5ad5f369be3b9d990349dfd4561a6537ca4e SHA512 da65b7b586844e0df071db8c157b05967f1a8bec9c52d0db256a3772ef7774e82e309bf34daa1f0997c6c6d0b5b637d179e1cd99047e2cb5797152121aee746e WHIRLPOOL 2c98f0bdbb3730c7f8a4063dc5ffa701faab8bc390572660daebf703437f0e39a90badcef46c6f2a2119e9b181b041b4ba8a97a28340bcbec5d4b927195330da

diff --git a/dev-ruby/test-unit/test-unit-3.2.2.ebuild b/dev-ruby/test-unit/test-unit-3.2.2.ebuild
new file mode 100644
index 00000000..c1ac970
--- /dev/null
+++ b/dev-ruby/test-unit/test-unit-3.2.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+inherit ruby-fakegem
+
+# Assume for now that ruby23 is not eselected yet and only
+# depend on yard for the other ruby implementations. Without this
+# assumption bootstrapping ruby23 won't be possible due to the yard
+# dependency tree.
+USE_RUBY="${USE_RUBY/ruby23/}" ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+DESCRIPTION="An xUnit family unit testing framework for Ruby"
+HOMEPAGE="https://rubygems.org/gems/test-unit"
+
+LICENSE="|| ( Ruby GPL-2 ) PSF-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend "dev-ruby/power_assert"
+
+all_ruby_compile() {
+	all_fakegem_compile
+
+	if use doc; then
+		yard doc --title ${PN} || die
+	fi
+}
+
+each_ruby_test() {
+	${RUBY} test/run-test.rb || die "testsuite failed"
+}
+
+all_ruby_install() {
+	all_fakegem_install
+
+	newbin "${FILESDIR}"/testrb-3 testrb-2
+}


             reply	other threads:[~2016-11-05 14:44 UTC|newest]

Thread overview: 146+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-05 14:44 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-17  6:33 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test-unit/ Hans de Graaff
2024-12-15  7:55 Hans de Graaff
2024-11-28  6:53 Hans de Graaff
2024-11-24  8:07 Hans de Graaff
2024-10-12 15:05 Sam James
2024-10-09  5:46 Sam James
2024-10-08 20:16 Arthur Zamarin
2024-10-08 20:12 Arthur Zamarin
2024-10-06 14:27 Sam James
2024-07-17  4:38 Viorel Munteanu
2024-07-14  7:48 Hans de Graaff
2024-02-16  7:11 Hans de Graaff
2023-12-27  8:10 Hans de Graaff
2023-11-29  4:23 Sam James
2023-08-19  6:35 Sam James
2023-08-19  6:18 Sam James
2023-08-19  6:18 Sam James
2023-08-04 20:20 Arthur Zamarin
2023-08-02 18:21 Sam James
2023-08-02 17:52 Sam James
2023-07-24 12:32 Jakov Smolić
2023-06-25  7:08 Sam James
2023-06-25  5:51 Hans de Graaff
2023-06-13  5:20 Hans de Graaff
2023-06-06  5:29 Hans de Graaff
2023-05-13  5:07 Hans de Graaff
2023-03-28 19:26 Sam James
2023-03-28 19:15 Sam James
2023-03-28 19:15 Sam James
2023-03-28 19:06 Sam James
2023-03-28 19:05 Sam James
2022-12-15  6:51 Hans de Graaff
2022-10-08  6:26 Hans de Graaff
2022-07-30  8:22 Hans de Graaff
2022-04-17  8:09 Hans de Graaff
2022-03-12  7:21 Hans de Graaff
2021-12-24  7:02 Hans de Graaff
2021-12-12 15:19 Hans de Graaff
2021-12-12 15:19 Hans de Graaff
2021-11-17  6:37 Hans de Graaff
2021-10-30  5:16 Hans de Graaff
2021-10-24  5:39 Hans de Graaff
2021-09-21  5:08 Hans de Graaff
2021-09-21  5:08 Hans de Graaff
2021-09-11  6:20 Hans de Graaff
2021-09-04  6:53 Hans de Graaff
2021-07-30  9:59 Hans de Graaff
2021-07-21 10:27 Marek Szuba
2021-07-15 13:44 Sergei Trofimovich
2021-07-13  6:34 Agostino Sarubbo
2021-07-13  6:31 Agostino Sarubbo
2021-07-13  6:29 Agostino Sarubbo
2021-07-11  9:00 Agostino Sarubbo
2021-07-11  8:58 Agostino Sarubbo
2021-07-03  7:22 Hans de Graaff
2021-06-05  5:49 Hans de Graaff
2021-05-31  5:43 Hans de Graaff
2021-04-20  5:23 Hans de Graaff
2021-01-31  7:31 Hans de Graaff
2021-01-31  7:31 Hans de Graaff
2021-01-06 18:32 Fabian Groffen
2020-12-29  6:54 Hans de Graaff
2020-12-28  7:46 Hans de Graaff
2020-11-21  6:39 Hans de Graaff
2020-06-10  4:58 Hans de Graaff
2020-01-10 14:02 Hans de Graaff
2019-12-26 11:06 Hans de Graaff
2019-12-03 10:24 Hans de Graaff
2019-11-27 13:03 Mikle Kolyada
2019-11-26 19:35 Sergei Trofimovich
2019-11-23 16:53 Agostino Sarubbo
2019-11-23 15:46 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23 15:33 Agostino Sarubbo
2019-11-23 12:46 Agostino Sarubbo
2019-11-23  0:13 Aaron Bauman
2019-11-22 16:23 Matt Turner
2019-11-02  5:55 Hans de Graaff
2019-10-01  5:43 Hans de Graaff
2019-06-24 15:14 Michael Haubenwallner
2019-05-11  5:31 Hans de Graaff
2019-05-11  5:31 Hans de Graaff
2019-04-27 19:48 Aaron Bauman
2019-04-11  6:49 Hans de Graaff
2019-03-27  6:49 Hans de Graaff
2019-01-23  6:32 Hans de Graaff
2018-12-30 18:10 Mikle Kolyada
2018-12-26  8:20 Hans de Graaff
2018-12-02 10:39 Hans de Graaff
2018-07-29  9:10 Hans de Graaff
2018-07-29  8:42 Sergei Trofimovich
2018-07-11  5:05 Markus Meier
2018-06-25 20:43 Tobias Klausmann
2018-06-07 22:06 Sergei Trofimovich
2018-06-07  4:43 Hans de Graaff
2018-06-06 23:49 Thomas Deutschmann
2018-06-06 18:26 Sergei Trofimovich
2018-05-13  4:46 Hans de Graaff
2018-05-06 18:10 Hans de Graaff
2018-02-24  8:50 Hans de Graaff
2018-02-15 21:48 Michał Górny
2018-01-24  7:02 Hans de Graaff
2017-12-25 17:02 Hans de Graaff
2017-12-13  4:43 Hans de Graaff
2017-12-06 22:44 Sergei Trofimovich
2017-11-26  8:45 Hans de Graaff
2017-09-22  5:21 Hans de Graaff
2017-08-14 19:42 Hans de Graaff
2017-07-17 18:21 Hans de Graaff
2017-07-11  4:58 Markus Meier
2017-06-25  6:54 Hans de Graaff
2017-06-05 21:53 Sergei Trofimovich
2017-05-23  5:30 Hans de Graaff
2017-04-30  8:10 Jeroen Roovers
2017-04-25  7:08 Tobias Klausmann
2017-04-16  7:20 Hans de Graaff
2017-03-08 23:39 Michael Weber
2016-12-26 19:17 Hans de Graaff
2016-12-11  6:33 Hans de Graaff
2016-12-11  6:33 Hans de Graaff
2016-11-25 10:43 Hans de Graaff
2016-11-25 10:10 Hans de Graaff
2016-07-24  6:42 Hans de Graaff
2016-06-19  5:20 Hans de Graaff
2016-05-20 20:17 Manuel Rüger
2016-05-18  8:41 Fabian Groffen
2016-05-06  5:30 Hans de Graaff
2016-05-06  5:30 Hans de Graaff
2016-03-19 14:40 Manuel Rüger
2016-03-19 14:40 Manuel Rüger
2016-03-19 14:40 Manuel Rüger
2016-01-17 21:23 Manuel Rüger
2015-12-27  9:22 Hans de Graaff
2015-11-17  6:23 Hans de Graaff
2015-11-16 14:19 Agostino Sarubbo
2015-11-05 11:20 Agostino Sarubbo
2015-11-01 15:59 Tobias Klausmann
2015-10-25 19:09 Markus Meier
2015-10-13  5:26 Hans de Graaff
2015-10-04 18:17 Jeroen Roovers
2015-10-04 10:14 Agostino Sarubbo
2015-10-04  9:42 Agostino Sarubbo
2015-09-27  6:12 Hans de Graaff
2015-09-27  6:12 Hans de Graaff
2015-08-29  6:25 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1478357056.38e70b61384580915d06934bf9f1cdab78a1cda3.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox